Package com.google.web.bindery.requestfactory.shared.messages

## Enum IdMessage.Strength

- java.lang.Object
- - java.lang.Enum<IdMessage.Strength>
  - - com.google.web.bindery.requestfactory.shared.messages.IdMessage.Strength

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IdMessage.Strength>`
  Enclosing interface:
    IdMessage

      public static enum IdMessage.Strength
      extends java.lang.Enum<IdMessage.Strength>

  Describes the longevity of the id.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EPHEMERAL` | The id is managed by the client and is generally unknown to the server.
    `PERSISTED` | The id is indefinitely persistent and can be freely reused by the client and the server.
    `SYNTHETIC` | The id not not managed by the client or server and is valid only for the duration of a single request or response.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IdMessage.Strength` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IdMessage.Strength[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERSISTED

          @PropertyName("0")
          public static final IdMessage.Strength PERSISTED

      The id is indefinitely persistent and can be freely reused by the client and the server.

    - #### EPHEMERAL

          @PropertyName("1")
          public static final IdMessage.Strength EPHEMERAL

      The id is managed by the client and is generally unknown to the server.

    - #### SYNTHETIC

          @PropertyName("2")
          public static final IdMessage.Strength SYNTHETIC

      The id not not managed by the client or server and is valid only for the duration of a single request or response.

  - ### Method Detail

    - #### values

          public static IdMessage.Strength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdMessage.Strength c : IdMessage.Strength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdMessage.Strength valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null